var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  t = require("../../hooks/onShareAppMessage.js"),
  r = require("../../hooks/useState.js"),
  i = require("../../service/index.js"),
  u = require("../../constant/index.js"),
  o = require("../../utils/util.js"),
  a = require("../../utils/common.js");
require("../../config/index.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../utils/request.js"),
  require("../../utils/navigate.js"),
  Math || (e.unref(s) + e.unref(c) + e.unref(l) + e.unref(v) + e.unref(f))();
var s = function () {
    return "../../components/vehicle-number/index.js";
  },
  l = function () {
    return "../../components/empty/index.js";
  },
  c = function () {
    return "../../components/divider/index.js";
  },
  v = function () {
    return "../../components/float-back-to-top/index.js";
  },
  f = function () {
    return "../../components/float-share/index.js";
  },
  d = {
    __name: "index",
    setup: function (s) {
      r.useState();
      var l = e.ref(!0),
        c = e.ref(!1),
        v = e.ref({}),
        f = e.ref({}),
        d = e.ref([]),
        p = e.ref(!1),
        m = function () {
          e.index.setClipboardData({ data: v.value.vin }).then(function () {
            o.showToast("VIN车架号已复制");
          });
        };
      return (
        n.onMounted(function (e) {
          var n = e.order_no,
            t = e.product_id;
          o.showLoading("努力查询中"),
            i
              .getReportDetail({ order_no: n, product_id: t })
              .then(function (e) {
                (v.value = e),
                  i
                    .getVehicleInfoDetail({ vin: e.vin })
                    .then(function (e) {
                      (d.value = a.getVehicleInfoList(e.detail)), (f.value = e);
                    })
                    .catch(function () {
                      d.value = [];
                    })
                    .finally(function () {
                      (l.value = !1), o.hideLoading();
                    });
              });
        }, !1),
        e.onPageScroll(function (n) {
          var t = n.scrollTop;
          p.value = t >= e.index.getSystemInfoSync().windowHeight / 3;
        }),
        t.onShareAppMessage(),
        function (n, t) {
          return e.e(
            { a: !l.value },
            l.value
              ? {}
              : e.e(
                  { b: !c.value },
                  c.value
                    ? {}
                    : e.e(
                        { c: !!v.value.carno.trim() },
                        v.value.carno.trim()
                          ? { d: e.p({ data: v.value.carno.trim() }) }
                          : {},
                        {
                          e: e.t(v.value.vin),
                          f: e.o(m),
                          g: e.t(v.value.info),
                          h: e.t(v.value.create_time || "-"),
                          i: d.value.length > 0,
                        },
                        d.value.length > 0
                          ? {
                              j: e.t(f.value.brand),
                              k: e.f(d.value, function (n, t, r) {
                                return {
                                  a: e.t(n.name),
                                  b: e.t(n.value || "-"),
                                  c: t,
                                };
                              }),
                            }
                          : {},
                        { l: e.t(e.unref(u.disclaimer)) }
                      ),
                  { m: c.value },
                  c.value ? { n: e.p({ info: "抱歉~！没有查到数据哦" }) } : {},
                  { o: e.p({ visible: p.value }) }
                )
          );
        }
      );
    },
  },
  p = e._export_sfc(d, [["__scopeId", "data-v-91b17388"]]);
(d.__runtimeHooks = 3), wx.createPage(p);
